Stocks/Prices table
List price table rules
Returns price and discount rules. Supports filtering by articles, classifications, and creation/update date ranges.
AuthorizationBearer <token>
In: header
Query Parameters
articles?array<unknown>
Filter by article IDs
classifications?array<unknown>
Filter by classification codes
created_at?string
Filter by creation date (single day: Y-m-d)
Format
dateupdated_at?string
Filter by update date (single day: Y-m-d)
Format
datecreated_at.from?string
Creation date start (Y-m-d H:i:s)
Format
date-timecreated_at.to?string
Creation date end (Y-m-d H:i:s)
Format
date-timeupdated_at.from?string
Update date start (Y-m-d H:i:s)
Format
date-timeupdated_at.to?string
Update date end (Y-m-d H:i:s)
Format
date-timepage?integer
Page number. Default 1; a value below 1 counts as 1.
Default
1Range
1 <= valuelimit?integer
Items per page. Default 50, maximum 250; a larger value is truncated to 250.
Default
50Range
1 <= value <= 250Response Body
curl -X GET "https://og-tenant1.test:8003/api/v2/stocks/prices-table?articles=&classifications=&created_at=2019-08-24&updated_at=2019-08-24&created_at.from=2019-08-24T14%3A15%3A22Z&created_at.to=2019-08-24T14%3A15%3A22Z&updated_at.from=2019-08-24T14%3A15%3A22Z&updated_at.to=2019-08-24T14%3A15%3A22Z&page=1&limit=50"{
"data": [
{
"id": 0,
"type": "string",
"description": "string",
"article_id": "string",
"classification_id": "string",
"payment_method_id": "string",
"price": 0,
"discount_perc": 0,
"discount_perc2": 0,
"discount_perc3": 0,
"discount_perc4": 0,
"discount_perc5": 0,
"discount_type": "string",
"label": "string",
"start_date": "2019-08-24T14:15:22Z",
"end_date": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"updated_by": "string",
"created_at": "2019-08-24T14:15:22Z",
"created_by": "string"
}
],
"meta": {
"per_page": 50,
"current_page": 1,
"has_more": true
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}